FreeMat

- Main Page
- Related Pages

vtkArrayReader

Section: Visualization Toolkit IO Classes

# Usage

Reads sparse and dense vtkArray data written with vtkArrayWriter.

Outputs: Output port 0: vtkArrayData containing a dense or sparse array.

To create an instance of class vtkArrayReader, simply invoke its constructor as follows

      obj = vtkArrayReader

# Methods

The class vtkArrayReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkArrayReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkArrayReader = obj.NewInstance ()`
- `vtkArrayReader = obj.SafeDownCast (vtkObject o)`
- `string = obj.GetFileName ()` - Set the filesystem location from which data will be read.
- `obj.SetFileName (string )` - Set the filesystem location from which data will be read.